Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.Method

    java.lang.Object
      java.lang.Enum<QAccessible.Method>
          com.trolltech.qt.gui.QAccessible.Method

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.Method>

Enclosing class:
  QAccessible

    public static enum QAccessible.Method

extends java.lang.Enum<QAccessible.Method>
implements QtEnumerator

This enum describes the possible types of methods that can be invoked on an accessible object.

See Also:
  `QAccessibleInterface::invokeMethod`

Enum Constant Summary
`BackgroundColor` Internal.
`ForegroundColor` Internal.
`GetCursorPosition` Internal.
`ListSupportedMethods` Internal.
`SetCursorPosition` Internal.

Method Summary
`static QAccessible.Method` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Method` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ListSupportedMethods

    public static final QAccessible.Method ListSupportedMethods

  Internal.

### SetCursorPosition

    public static final QAccessible.Method SetCursorPosition

  Internal.

### GetCursorPosition

    public static final QAccessible.Method GetCursorPosition

  Internal.

### ForegroundColor

    public static final QAccessible.Method ForegroundColor

  Internal.

### BackgroundColor

    public static final QAccessible.Method BackgroundColor

  Internal.

Method Detail

### values

    public static final QAccessible.Method[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.Method c : QAccessible.Method.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.Method valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Method resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD